var v_captcha = '';

var onLoad = function() {
    v_captcha_ingreso = grecaptcha.render('div_captcha_ingreso', {
        'sitekey': v_captcha,
        'callback': verificar_usuario,
    });
};

function analizar_captcha_ingreso() {
    var v_captcha = grecaptcha.getResponse(v_captcha_ingreso);
    if (v_captcha.length == 0) {
        grecaptcha.execute(v_captcha_ingreso);
    }
}

$(document).ready(function(){	
	v_captcha = $('#txt_captcha').val();
	$("#txt_usuario").focus();
	$("#frm_login").validate({
		rules: {
			txt_usuario: { 
				required   : true
			},
			txt_clave: { 
				required: true
			}
		},
		messages: {
			txt_usuario: { 
				required   : 'Ingrese su nombre de usuario'
			},
			txt_clave: { 
				required: 'Ingrese su contraseña'
			}			
		},
		submitHandler: function(form){

			//analizar_captcha_ingreso();
			verificar_usuario();
			
		},
		highlight: function(element) {
			$(element).closest('div').addClass('has-error');
		},
		unhighlight: function(element) {
			$(element).closest('div').removeClass('has-error');
		},
		errorElement: 'span',
		errorClass: 'help-block'
	});
});

function verificar_usuario() {
	$.ajax({
		type: 'post',
		url: '/login/login-ajax.php',
		dataType: 'json',
		beforeSend: function(){
			mostrar_blockUI();
		},
		data: $("#frm_login").serialize(),
		success: function(msg){
			if(msg.success) {
				redireccionar(msg.enlace);
			} else {
				$('#md_modal_mensaje').modal('show');
                $('#md_modal_mensaje_titulo').text('Credenciales No Válidas');
                $('#md_modal_mensaje_div_contenido').html(msg.mensaje);
			} 
		},
		error: function(msg) {
			alert('Error');
		}, 
		complete: function() {
			grecaptcha.reset();
			ocultar_blockUI();			
		}
	});
		
}
